=== modified file 'lib/lp/registry/browser/tests/test_distroseries.py'
--- lib/lp/registry/browser/tests/test_distroseries.py	2011-11-09 12:58:38 +0000
+++ lib/lp/registry/browser/tests/test_distroseries.py	2011-11-10 04:20:32 +0000
@@ -73,7 +73,6 @@
     DistroSeriesDifferenceType,
     )
 from lp.registry.interfaces.distribution import IDistributionSet
-from lp.registry.interfaces.person import IPersonSet
 from lp.registry.interfaces.pocket import PackagePublishingPocket
 from lp.registry.interfaces.series import SeriesStatus
 from lp.services.features import (
@@ -121,7 +120,6 @@
     EqualsIgnoringWhitespace,
     HasQueryCount,
     )
-from lp.testing.sampledata import ADMIN_EMAIL
 from lp.testing.views import create_initialized_view
 
 
@@ -2731,12 +2729,11 @@
         # set when the +edit view is used.
         ubuntu = getUtility(IDistributionSet).getByName('ubuntu')
         distroseries = self.factory.makeDistroSeries(distribution=ubuntu)
-        admin = getUtility(IPersonSet).getByEmail(ADMIN_EMAIL)
         form = {
             'field.actions.change': 'Change',
             'field.status': 'CURRENT'
             }
-        with person_logged_in(admin):
-            create_initialized_view(
-                distroseries, name='+edit', principal=admin, form=form)
+        admin = login_celebrity('admin')
+        create_initialized_view(
+            distroseries, name='+edit', principal=admin, form=form)
         self.assertIsNot(None, distroseries.datereleased)

